org.apache.cassandra.utils.memory

## Class HeapAllocator

- java.lang.Object
- - org.apache.cassandra.utils.memory.AbstractAllocator
  - - org.apache.cassandra.utils.memory.HeapAllocator

    public final class HeapAllocator
    extends AbstractAllocator

### Field Summary

Fields
`static HeapAllocator` `instance`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.nio.ByteBuffer` `allocate(int size)`
`boolean` `allocatingOnHeap()`

### Methods inherited from class org.apache.cassandra.utils.memory.AbstractAllocator

`clone, cloningBTreeRowBuilder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static final HeapAllocator instance

### Method Detail

#### allocate

    public java.nio.ByteBuffer allocate(int size)

Specified by:
  `allocate` in class `AbstractAllocator`

#### allocatingOnHeap

    public boolean allocatingOnHeap()